---
# https://github.com/openshift/installer/blob/master/pkg/types/agent/agent_config_type.go#L17
apiVersion: v1alpha1
metadata:
  name: sno
hosts:
  - hostname: node-zero
    role: master
    rootDeviceHints:
      deviceName: "/dev/vda"
    interfaces:
      - name: ens3
        macAddress: de:ad:be:ff:11:90
      - name: ens4
        macAddress: de:ad:be:ff:11:91
      - name: ens5
        macAddress: de:ad:be:ff:11:92
      - name: ens6
        macAddress: de:ad:be:ff:11:93
    networkConfig:
      interfaces:
        - name: bond0
          type: bond
          state: up
          mtu: 9000
          link-aggregation:
            mode: active-backup
            options:
              miimon: 100
              primary: ens3
            port:
              - ens3
              - ens4
        - name: bond0.10
          type: vlan
          state: up
          vlan:
            base-iface: bond0
            id: 10
          ipv4:
            enabled: true
            address:
              - ip: 10.10.10.225
                prefix-length: 24
            dhcp: false
          ipv6:
            enabled: true
            autoconf: true
            dhcp: true
            auto-dns: false
            auto-gateway: true
            auto-routes: true
        - name: bond0.11
          type: vlan
          state: up
          vlan:
            base-iface: bond0
            id: 11
          ipv4:
            enabled: true
            address:
              - ip: 11.11.11.225
                prefix-length: 24
            dhcp: false
          ipv6:
            enabled: false
        - name: bond1
          type: bond
          state: up
          mtu: 9000
          link-aggregation:
            mode: active-backup
            options:
              miimon: 100
              primary: ens3
            port:
              - ens5
              - ens6
          ipv4:
            enabled: false
          ipv6:
            enabled: false
      dns-resolver: &dns-resolver
        config:
          server:
            - 10.10.20.10
      routes: &routes
        config:
          - destination: 0.0.0.0/0
            next-hop-address: 10.10.10.1
            next-hop-interface: bond0.10
            table-id: 254
          - destination: 172.16.11.0/24
            metric: 400
            next-hop-address: 11.11.11.254
            next-hop-interface: bond0.11
